curl --request GET \
--url https://app.ecomwize.io/api/v1/pages \
--header 'Authorization: Bearer ew_live_your_key_here'
import requests
response = requests.get(
"https://app.ecomwize.io/api/v1/pages",
headers={"Authorization": "Bearer ew_live_your_key_here"}
)
print(response.json())
const response = await fetch("https://app.ecomwize.io/api/v1/pages", {
headers: { "Authorization": "Bearer ew_live_your_key_here" }
});
const data = await response.json();
{
"pages": [
{
"id": "e22f3857-cf0c-49c0-9e44-d76ea0bb7221",
"title": "Summer Sale Landing Page",
"slug": "summer-sale-landing",
"handle": "summer-sale-landing",
"status": "published",
"template_type": "page",
"section_count": 12,
"created_at": "2026-04-07T13:49:00.965Z",
"updated_at": "2026-04-08T18:07:59.695Z"
},
{
"id": "a1b2c3d4-e5f6-7890-abcd-ef1234567890",
"title": "Product Launch Landing",
"slug": "product-launch",
"handle": "product-launch",
"status": "draft",
"template_type": "page",
"section_count": 8,
"created_at": "2026-04-06T10:00:00.000Z",
"updated_at": "2026-04-06T10:00:00.000Z"
}
]
}
{
"error": "Authentication failed",
"message": "Missing or invalid API key",
"status": 401
}
Endpoints
List pages
Retrieve a list of all your pages with their IDs, titles, and status.
GET
/
v1
/
pages
curl --request GET \
--url https://app.ecomwize.io/api/v1/pages \
--header 'Authorization: Bearer ew_live_your_key_here'
import requests
response = requests.get(
"https://app.ecomwize.io/api/v1/pages",
headers={"Authorization": "Bearer ew_live_your_key_here"}
)
print(response.json())
const response = await fetch("https://app.ecomwize.io/api/v1/pages", {
headers: { "Authorization": "Bearer ew_live_your_key_here" }
});
const data = await response.json();
{
"pages": [
{
"id": "e22f3857-cf0c-49c0-9e44-d76ea0bb7221",
"title": "Summer Sale Landing Page",
"slug": "summer-sale-landing",
"handle": "summer-sale-landing",
"status": "published",
"template_type": "page",
"section_count": 12,
"created_at": "2026-04-07T13:49:00.965Z",
"updated_at": "2026-04-08T18:07:59.695Z"
},
{
"id": "a1b2c3d4-e5f6-7890-abcd-ef1234567890",
"title": "Product Launch Landing",
"slug": "product-launch",
"handle": "product-launch",
"status": "draft",
"template_type": "page",
"section_count": 8,
"created_at": "2026-04-06T10:00:00.000Z",
"updated_at": "2026-04-06T10:00:00.000Z"
}
]
}
{
"error": "Authentication failed",
"message": "Missing or invalid API key",
"status": 401
}
Returns all pages in your account. Use this to discover page IDs before calling other endpoints.
string
required
Bearer token. Example:
Bearer ew_live_your_key_hereResponse
Page[]
required
Hide Page object
Hide Page object
string
required
Unique page ID. Use this in other endpoints.
string
required
Page title as shown in the dashboard.
string
required
URL slug for the page.
string
required
Shopify page handle.
string
required
Either
draft or published.string
required
Either
page or product.number
required
Number of sections on the page.
string
required
ISO 8601 creation timestamp.
string
required
ISO 8601 last update timestamp.
curl --request GET \
--url https://app.ecomwize.io/api/v1/pages \
--header 'Authorization: Bearer ew_live_your_key_here'
import requests
response = requests.get(
"https://app.ecomwize.io/api/v1/pages",
headers={"Authorization": "Bearer ew_live_your_key_here"}
)
print(response.json())
const response = await fetch("https://app.ecomwize.io/api/v1/pages", {
headers: { "Authorization": "Bearer ew_live_your_key_here" }
});
const data = await response.json();
{
"pages": [
{
"id": "e22f3857-cf0c-49c0-9e44-d76ea0bb7221",
"title": "Summer Sale Landing Page",
"slug": "summer-sale-landing",
"handle": "summer-sale-landing",
"status": "published",
"template_type": "page",
"section_count": 12,
"created_at": "2026-04-07T13:49:00.965Z",
"updated_at": "2026-04-08T18:07:59.695Z"
},
{
"id": "a1b2c3d4-e5f6-7890-abcd-ef1234567890",
"title": "Product Launch Landing",
"slug": "product-launch",
"handle": "product-launch",
"status": "draft",
"template_type": "page",
"section_count": 8,
"created_at": "2026-04-06T10:00:00.000Z",
"updated_at": "2026-04-06T10:00:00.000Z"
}
]
}
{
"error": "Authentication failed",
"message": "Missing or invalid API key",
"status": 401
}
Was this page helpful?
⌘I